Applications
In the context of the Nylas APIs, an "application" is the object record of your Nylas application.
The Nylas application is the central resource for your Nylas implementation. It collects the connectors that you use to store information about third party services that your application connects to, and stores the grants that you create when using connectors.
Nylas applications also allow you to define your specific branding, change the look and feel of the Nylas Hosted authentication flow, and list your application's callback URIs.
Application callback URIs
Your Nylas application includes a list of allowed callback URIs. These are known URIs that Nylas can direct users to after authentication. You need to define at least one callback URI so your users can complete the auth flow.
You must include any callback URIs you plan to use in this list. If an auth payload includes a callback URI that isn't on the list, the whole authentication flow fails.
Application limitations
Keep the following limitations in mind as you work with Nylas applications:
- Applications are the central resource that stores other Nylas resources. You must create an application before you can create any other parts of your Nylas implementation.
- Applications can be associated with only one project at a time. While your project can have more than one Nylas application to provide different authentication experiences, you cannot share applications, connectors, or grants between more than one project.
- Applications cannot be nested, and cannot be set up with parent-child relationships.
- Your application must have at least one callback URI, or else it cannot finish the authentication flow, which means it cannot create grants. Nylas requires grants to access user data.
- In an ideal scenario, your application will have multiple callback URIs defined.
GET /v3/applicationsGets the application object
PATCH /v3/applicationsUpdates a Nylas application using the client ID associated with the specified API key. ⚠️ This endpoint will be removed in the future when application settings are available in the Nylas Dashboard . W...
GET /v3/applications/redirect-urisReturns a list of callback URIs for the specified Nylas application.
POST /v3/applications/redirect-urisAdds a callback URI to the specified Nylas application. Nylas uses callback URIs to redirect users to your project after they complete the authentication flow. If you don't specify a platform, Nylas d...
GET /v3/applications/redirect-uris/{id}Returns the specified callback URI.
PATCH /v3/applications/redirect-uris/{id}Updates the specified callback URI. If you don't define the platform, Nylas doesn't modify the existing settings. When you make a PATCH request, Nylas replaces all data in the nested object with the i...
DELETE /v3/applications/redirect-uris/{id}Deletes the specified callback URI.